<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@0048=0F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@004E=00</action>
    </script>
  </cheat>

  <cheat desc="Select Bat Size">
    <parameter>
      <item value="0x00">Normal</item>
      <item value="0x02">Small</item>
      <item value="0x04">Smallest</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@0020=param</action>
    </script>
  </cheat>

  <cheat desc="Rocks Never Hit Bottom">
    <script state="on">
      <action>temp0 =maincpu.md@7238</action>
      <action>temp1 =maincpu.md@7FD0</action>
      <action>temp2 =maincpu.md@7FD4</action>
      <action>temp3 =maincpu.mw@7FD8</action>
    </script>
    <script state="run">
      <action>maincpu.md@7238=7FD02010</action>
      <action>maincpu.md@7FD0=02D0F4C9</action>
      <action>maincpu.md@7FD4=6518F2A9</action>
      <action>maincpu.mw@7FD8=605B</action>
    </script>
    <script state="off">
      <action>maincpu.md@7238=temp0 </action>
      <action>maincpu.md@7FD0=temp1 </action>
      <action>maincpu.md@7FD4=temp2 </action>
      <action>maincpu.mw@7FD8=temp3 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
